Bug 673765 - [abrt] exaile-0.3.2.0-2.fc14: collection.py:234:_on_view_items:TypeError: 'NoneType' object is not subscriptable
Summary: [abrt] exaile-0.3.2.0-2.fc14: collection.py:234:_on_view_items:TypeError: 'No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2da4ba47
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-30 12:35 UTC by liuerfire
Modified: 2011-03-28 19:32 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:32:17 UTC


Attachments (Terms of Use)
File: backtrace (552 bytes, text/plain)
2011-01-30 12:35 UTC, liuerfire
no flags Details

Description liuerfire 2011-01-30 12:35:43 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.10-74.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: collection.py:234:_on_view_items:TypeError: 'NoneType' object is not subscriptable
release: Fedora release 14 (Laughlin)
time: 1296390608
uid: 500

backtrace
-----
collection.py:234:_on_view_items:TypeError: 'NoneType' object is not subscriptable

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/panel/collection.py", line 234, in _on_view_items
    track = self.tree.get_selected_tracks()[0]
TypeError: 'NoneType' object is not subscriptable

Local variables in innermost frame:
self: <CollectionPanel object at 0xa6a6acc (xlgui+panel+collection+CollectionPanel at 0xa31ce90)>
args: (<CollectionPanelMenu object at 0xa9e9234 (xlgui+menu+CollectionPanelMenu at 0xa6cfbd0)>,)

How to reproduce
-----
1when i listened to music ,system reported it
2.
3.

Comment 1 liuerfire 2011-01-30 12:35:46 UTC
Created attachment 476030 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:39:28 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:42:49 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:29:33 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.